export default {
    computed: {
        bank_payment_state_map() {
            return {
                initialized: this.$t('ferda_pain_bank_payments:states.initialized'),
                ready_to_process: this.$t('ferda_pain_bank_payments:states.ready_to_process'),
                processed: this.$t('ferda_pain_bank_payments:states.processed'),
                deferred:  this.$t('ferda_pain_bank_payments:states.deferred'),
                exported: this.$t('ferda_pain_bank_payments:states.exported'),
                canceled: this.$t('ferda_pain_bank_payments:states.canceled'),
                to_refund: this.$t('ferda_pain_bank_payments:states.to_refund'),
                refunded: this.$t('ferda_pain_bank_payments:states.refunded'),
            }
        },
        bank_payment_state_list() {
            return Object.entries(this.bank_payment_state_map).map(([key, value]) => ({
                value: key,
                text: value,
            }))
        },
    },
}
